# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.graphiti.features.context.IResizeShapeContext
Modifier and Type
Constant Field
Value
`public static final int`
`DIRECTION_EAST`
`16`
`public static final int`
`DIRECTION_NORTH`
`1`
`public static final int`
`DIRECTION_NORTH_EAST`
`17`
`public static final int`
`DIRECTION_NORTH_WEST`
`9`
`public static final int`
`DIRECTION_SOUTH`
`4`
`public static final int`
`DIRECTION_SOUTH_EAST`
`20`
`public static final int`
`DIRECTION_SOUTH_WEST`
`12`
`public static final int`
`DIRECTION_UNSPECIFIED`
`0`
`public static final int`
`DIRECTION_WEST`
`8`

org.eclipse.graphiti.func.IDirectEditing
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_CUSTOM`
`9`
`public static final int`
`TYPE_DROPDOWN`
`3`
`public static final int`
`TYPE_DROPDOWN_READ_ONLY`
`6`
`public static final int`
`TYPE_MULTILINETEXT`
`5`
`public static final int`
`TYPE_NONE`
`0`
`public static final int`
`TYPE_TEXT`
`1`

org.eclipse.graphiti.internal.ExternalPictogramLink
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_INDEPENDENT_PROPERTY`
`"independentObject"`
org.eclipse.graphiti.internal.GraphitiPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.graphiti"`
org.eclipse.graphiti.internal.IDiagramVersion
Modifier and Type
Constant Field
Value
`public static final String`
`CURRENT`
`"0.19.0"`
`public static final String`
`VERSION_ENABLE_TEXT_BACKGROUND`
`"0.9.0"`

org.eclipse.graphiti.internal.pref.GFPreferences
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_BUTTON_PAD_DECLARATION`
`"CONTEXT_BUTTON_PAD_DECLARATION"`
`public static final String`
`CPU_PROFILING_TRACE_ACTIVE`
`"CPU_PROFILING_TRACE_ACTIVE"`
`public static final String`
`DEBUG__LEVEL_TRACING_ACTIVE`
`"DEBUG__LEVEL_TRACING_ACTIVE"`
`public static final String`
`DEBUG_ACTIONS_ACTIVE`
`"DEBUG_ACTIONS_ACTIVE"`
`public static final String`
`GENERIC_OUTLINE_ACTIVE`
`"GENERIC_OUTLINE_ACTIVE"`
`public static final String`
`GENERIC_PROPERTY_SHEET_ACTIVE`
`"GENERIC_PROPERTY_SHEET_ACTIVE"`
`public static final String`
`INFO_LEVEL_TRACING_ACTIVE`
`"INFO_LEVEL__TRACING_ACTIVE"`
`public static final String`
`INVISIBLE_RECTANGLES_SHOWN`
`"INVISIBLE_RECTANGLES_SHOWN"`
`public static final String`
`POLYLINE_ROUNDING`
`"POLYLINE_ROUNDING"`
`public static final String`
`PROGRESS_DIALOG_ACTIVE`
`"PROGRESS_DIALOG_ACTIVE"`
`public static final String`
`RECURSIVE_CHECK_FOR_UPDATE_ACTIVE`
`"RECURSIVE_CHECK_FOR_UPDATE_ACTIVE"`
`public static final String`
`VISUAL_STATE_RENDERING`
`"VISUAL_STATE_RENDERING"`
`public static final String`
`ZOOM_ANIMATION_STEPS`
`"ZOOM_ANIMATION_STEPS"`

org.eclipse.graphiti.mm.MmPackage
Modifier and Type
Constant Field
Value
`public static final String`
`eNAME`
`"mm"`
`public static final String`
`eNS_PREFIX`
`"mm"`
`public static final String`
`eNS_URI`
`"http://eclipse.org/graphiti/mm"`
`public static final int`
`GRAPHICS_ALGORITHM_CONTAINER`
`2`
`public static final int`
`GRAPHICS_ALGORITHM_CONTAINER__PROPERTIES`
`0`
`public static final int`
`GRAPHICS_ALGORITHM_CONTAINER_FEATURE_COUNT`
`1`
`public static final int`
`PROPERTY`
`0`
`public static final int`
`PROPERTY__KEY`
`0`
`public static final int`
`PROPERTY__VALUE`
`1`
`public static final int`
`PROPERTY_CONTAINER`
`1`
`public static final int`
`PROPERTY_CONTAINER__PROPERTIES`
`0`
`public static final int`
`PROPERTY_CONTAINER_FEATURE_COUNT`
`1`
`public static final int`
`PROPERTY_FEATURE_COUNT`
`2`
`public static final int`
`STYLE_CONTAINER`
`3`
`public static final int`
`STYLE_CONTAINER__STYLES`
`0`
`public static final int`
`STYLE_CONTAINER_FEATURE_COUNT`
`1`

org.eclipse.graphiti.mm.algorithms.AlgorithmsPackage
Modifier and Type
Constant Field
Value
`public static final int`
`ABSTRACT_TEXT`
`9`
`public static final int`
`ABSTRACT_TEXT__ANGLE`
`20`
`public static final int`
`ABSTRACT_TEXT__BACKGROUND`
`1`
`public static final int`
`ABSTRACT_TEXT__FILLED`
`5`
`public static final int`
`ABSTRACT_TEXT__FONT`
`17`
`public static final int`
`ABSTRACT_TEXT__FOREGROUND`
`2`
`public static final int`
`ABSTRACT_TEXT__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`ABSTRACT_TEXT__HEIGHT`
`13`
`public static final int`
`ABSTRACT_TEXT__HORIZONTAL_ALIGNMENT`
`18`
`public static final int`
`ABSTRACT_TEXT__LINE_STYLE`
`4`
`public static final int`
`ABSTRACT_TEXT__LINE_VISIBLE`
`6`
`public static final int`
`ABSTRACT_TEXT__LINE_WIDTH`
`3`
`public static final int`
`ABSTRACT_TEXT__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`ABSTRACT_TEXT__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`ABSTRACT_TEXT__PROPERTIES`
`0`
`public static final int`
`ABSTRACT_TEXT__RENDERING_STYLE`
`7`
`public static final int`
`ABSTRACT_TEXT__ROTATION`
`23`
`public static final int`
`ABSTRACT_TEXT__STYLE`
`16`
`public static final int`
`ABSTRACT_TEXT__STYLE_REGIONS`
`22`
`public static final int`
`ABSTRACT_TEXT__TRANSPARENCY`
`8`
`public static final int`
`ABSTRACT_TEXT__VALUE`
`21`
`public static final int`
`ABSTRACT_TEXT__VERTICAL_ALIGNMENT`
`19`
`public static final int`
`ABSTRACT_TEXT__WIDTH`
`12`
`public static final int`
`ABSTRACT_TEXT__X`
`14`
`public static final int`
`ABSTRACT_TEXT__Y`
`15`
`public static final int`
`ABSTRACT_TEXT_FEATURE_COUNT`
`24`
`public static final int`
`ELLIPSE`
`2`
`public static final int`
`ELLIPSE__BACKGROUND`
`1`
`public static final int`
`ELLIPSE__FILLED`
`5`
`public static final int`
`ELLIPSE__FOREGROUND`
`2`
`public static final int`
`ELLIPSE__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`ELLIPSE__HEIGHT`
`13`
`public static final int`
`ELLIPSE__LINE_STYLE`
`4`
`public static final int`
`ELLIPSE__LINE_VISIBLE`
`6`
`public static final int`
`ELLIPSE__LINE_WIDTH`
`3`
`public static final int`
`ELLIPSE__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`ELLIPSE__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`ELLIPSE__PROPERTIES`
`0`
`public static final int`
`ELLIPSE__RENDERING_STYLE`
`7`
`public static final int`
`ELLIPSE__STYLE`
`16`
`public static final int`
`ELLIPSE__TRANSPARENCY`
`8`
`public static final int`
`ELLIPSE__WIDTH`
`12`
`public static final int`
`ELLIPSE__X`
`14`
`public static final int`
`ELLIPSE__Y`
`15`
`public static final int`
`ELLIPSE_FEATURE_COUNT`
`17`
`public static final String`
`eNAME`
`"algorithms"`
`public static final String`
`eNS_PREFIX`
`"al"`
`public static final String`
`eNS_URI`
`"http://eclipse.org/graphiti/mm/algorithms"`
`public static final int`
`GRAPHICS_ALGORITHM`
`0`
`public static final int`
`GRAPHICS_ALGORITHM__BACKGROUND`
`1`
`public static final int`
`GRAPHICS_ALGORITHM__FILLED`
`5`
`public static final int`
`GRAPHICS_ALGORITHM__FOREGROUND`
`2`
`public static final int`
`GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`GRAPHICS_ALGORITHM__HEIGHT`
`13`
`public static final int`
`GRAPHICS_ALGORITHM__LINE_STYLE`
`4`
`public static final int`
`GRAPHICS_ALGORITHM__LINE_VISIBLE`
`6`
`public static final int`
`GRAPHICS_ALGORITHM__LINE_WIDTH`
`3`
`public static final int`
`GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`GRAPHICS_ALGORITHM__PROPERTIES`
`0`
`public static final int`
`GRAPHICS_ALGORITHM__RENDERING_STYLE`
`7`
`public static final int`
`GRAPHICS_ALGORITHM__STYLE`
`16`
`public static final int`
`GRAPHICS_ALGORITHM__TRANSPARENCY`
`8`
`public static final int`
`GRAPHICS_ALGORITHM__WIDTH`
`12`
`public static final int`
`GRAPHICS_ALGORITHM__X`
`14`
`public static final int`
`GRAPHICS_ALGORITHM__Y`
`15`
`public static final int`
`GRAPHICS_ALGORITHM_FEATURE_COUNT`
`17`
`public static final int`
`IMAGE`
`7`
`public static final int`
`IMAGE__BACKGROUND`
`1`
`public static final int`
`IMAGE__FILLED`
`5`
`public static final int`
`IMAGE__FOREGROUND`
`2`
`public static final int`
`IMAGE__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`IMAGE__HEIGHT`
`13`
`public static final int`
`IMAGE__ID`
`17`
`public static final int`
`IMAGE__LINE_STYLE`
`4`
`public static final int`
`IMAGE__LINE_VISIBLE`
`6`
`public static final int`
`IMAGE__LINE_WIDTH`
`3`
`public static final int`
`IMAGE__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`IMAGE__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`IMAGE__PROPERTIES`
`0`
`public static final int`
`IMAGE__PROPORTIONAL`
`20`
`public static final int`
`IMAGE__RENDERING_STYLE`
`7`
`public static final int`
`IMAGE__STRETCH_H`
`18`
`public static final int`
`IMAGE__STRETCH_V`
`19`
`public static final int`
`IMAGE__STYLE`
`16`
`public static final int`
`IMAGE__TRANSPARENCY`
`8`
`public static final int`
`IMAGE__WIDTH`
`12`
`public static final int`
`IMAGE__X`
`14`
`public static final int`
`IMAGE__Y`
`15`
`public static final int`
`IMAGE_FEATURE_COUNT`
`21`
`public static final int`
`MULTI_TEXT`
`10`
`public static final int`
`MULTI_TEXT__ANGLE`
`20`
`public static final int`
`MULTI_TEXT__BACKGROUND`
`1`
`public static final int`
`MULTI_TEXT__FILLED`
`5`
`public static final int`
`MULTI_TEXT__FONT`
`17`
`public static final int`
`MULTI_TEXT__FOREGROUND`
`2`
`public static final int`
`MULTI_TEXT__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`MULTI_TEXT__HEIGHT`
`13`
`public static final int`
`MULTI_TEXT__HORIZONTAL_ALIGNMENT`
`18`
`public static final int`
`MULTI_TEXT__LINE_STYLE`
`4`
`public static final int`
`MULTI_TEXT__LINE_VISIBLE`
`6`
`public static final int`
`MULTI_TEXT__LINE_WIDTH`
`3`
`public static final int`
`MULTI_TEXT__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`MULTI_TEXT__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`MULTI_TEXT__PROPERTIES`
`0`
`public static final int`
`MULTI_TEXT__RENDERING_STYLE`
`7`
`public static final int`
`MULTI_TEXT__ROTATION`
`23`
`public static final int`
`MULTI_TEXT__STYLE`
`16`
`public static final int`
`MULTI_TEXT__STYLE_REGIONS`
`22`
`public static final int`
`MULTI_TEXT__TRANSPARENCY`
`8`
`public static final int`
`MULTI_TEXT__VALUE`
`21`
`public static final int`
`MULTI_TEXT__VERTICAL_ALIGNMENT`
`19`
`public static final int`
`MULTI_TEXT__WIDTH`
`12`
`public static final int`
`MULTI_TEXT__X`
`14`
`public static final int`
`MULTI_TEXT__Y`
`15`
`public static final int`
`MULTI_TEXT_FEATURE_COUNT`
`24`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM`
`8`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__BACKGROUND`
`1`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__FILLED`
`5`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__FOREGROUND`
`2`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__HEIGHT`
`13`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__ID`
`17`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__LINE_STYLE`
`4`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__LINE_VISIBLE`
`6`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__LINE_WIDTH`
`3`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__PROPERTIES`
`0`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__RENDERING_STYLE`
`7`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__STYLE`
`16`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__TRANSPARENCY`
`8`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__WIDTH`
`12`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__X`
`14`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM__Y`
`15`
`public static final int`
`PLATFORM_GRAPHICS_ALGORITHM_FEATURE_COUNT`
`18`
`public static final int`
`POLYGON`
`4`
`public static final int`
`POLYGON__BACKGROUND`
`1`
`public static final int`
`POLYGON__FILLED`
`5`
`public static final int`
`POLYGON__FOREGROUND`
`2`
`public static final int`
`POLYGON__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`POLYGON__HEIGHT`
`13`
`public static final int`
`POLYGON__LINE_STYLE`
`4`
`public static final int`
`POLYGON__LINE_VISIBLE`
`6`
`public static final int`
`POLYGON__LINE_WIDTH`
`3`
`public static final int`
`POLYGON__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`POLYGON__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`POLYGON__POINTS`
`17`
`public static final int`
`POLYGON__PROPERTIES`
`0`
`public static final int`
`POLYGON__RENDERING_STYLE`
`7`
`public static final int`
`POLYGON__STYLE`
`16`
`public static final int`
`POLYGON__TRANSPARENCY`
`8`
`public static final int`
`POLYGON__WIDTH`
`12`
`public static final int`
`POLYGON__X`
`14`
`public static final int`
`POLYGON__Y`
`15`
`public static final int`
`POLYGON_FEATURE_COUNT`
`18`
`public static final int`
`POLYLINE`
`1`
`public static final int`
`POLYLINE__BACKGROUND`
`1`
`public static final int`
`POLYLINE__FILLED`
`5`
`public static final int`
`POLYLINE__FOREGROUND`
`2`
`public static final int`
`POLYLINE__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`POLYLINE__HEIGHT`
`13`
`public static final int`
`POLYLINE__LINE_STYLE`
`4`
`public static final int`
`POLYLINE__LINE_VISIBLE`
`6`
`public static final int`
`POLYLINE__LINE_WIDTH`
`3`
`public static final int`
`POLYLINE__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`POLYLINE__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`POLYLINE__POINTS`
`17`
`public static final int`
`POLYLINE__PROPERTIES`
`0`
`public static final int`
`POLYLINE__RENDERING_STYLE`
`7`
`public static final int`
`POLYLINE__STYLE`
`16`
`public static final int`
`POLYLINE__TRANSPARENCY`
`8`
`public static final int`
`POLYLINE__WIDTH`
`12`
`public static final int`
`POLYLINE__X`
`14`
`public static final int`
`POLYLINE__Y`
`15`
`public static final int`
`POLYLINE_FEATURE_COUNT`
`18`
`public static final int`
`RECTANGLE`
`5`
`public static final int`
`RECTANGLE__BACKGROUND`
`1`
`public static final int`
`RECTANGLE__FILLED`
`5`
`public static final int`
`RECTANGLE__FOREGROUND`
`2`
`public static final int`
`RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`RECTANGLE__HEIGHT`
`13`
`public static final int`
`RECTANGLE__LINE_STYLE`
`4`
`public static final int`
`RECTANGLE__LINE_VISIBLE`
`6`
`public static final int`
`RECTANGLE__LINE_WIDTH`
`3`
`public static final int`
`RECTANGLE__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`RECTANGLE__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`RECTANGLE__PROPERTIES`
`0`
`public static final int`
`RECTANGLE__RENDERING_STYLE`
`7`
`public static final int`
`RECTANGLE__STYLE`
`16`
`public static final int`
`RECTANGLE__TRANSPARENCY`
`8`
`public static final int`
`RECTANGLE__WIDTH`
`12`
`public static final int`
`RECTANGLE__X`
`14`
`public static final int`
`RECTANGLE__Y`
`15`
`public static final int`
`RECTANGLE_FEATURE_COUNT`
`17`
`public static final int`
`ROUNDED_RECTANGLE`
`6`
`public static final int`
`ROUNDED_RECTANGLE__BACKGROUND`
`1`
`public static final int`
`ROUNDED_RECTANGLE__CORNER_HEIGHT`
`17`
`public static final int`
`ROUNDED_RECTANGLE__CORNER_WIDTH`
`18`
`public static final int`
`ROUNDED_RECTANGLE__FILLED`
`5`
`public static final int`
`ROUNDED_RECTANGLE__FOREGROUND`
`2`
`public static final int`
`ROUNDED_RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`ROUNDED_RECTANGLE__HEIGHT`
`13`
`public static final int`
`ROUNDED_RECTANGLE__LINE_STYLE`
`4`
`public static final int`
`ROUNDED_RECTANGLE__LINE_VISIBLE`
`6`
`public static final int`
`ROUNDED_RECTANGLE__LINE_WIDTH`
`3`
`public static final int`
`ROUNDED_RECTANGLE__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`ROUNDED_RECTANGLE__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`ROUNDED_RECTANGLE__PROPERTIES`
`0`
`public static final int`
`ROUNDED_RECTANGLE__RENDERING_STYLE`
`7`
`public static final int`
`ROUNDED_RECTANGLE__STYLE`
`16`
`public static final int`
`ROUNDED_RECTANGLE__TRANSPARENCY`
`8`
`public static final int`
`ROUNDED_RECTANGLE__WIDTH`
`12`
`public static final int`
`ROUNDED_RECTANGLE__X`
`14`
`public static final int`
`ROUNDED_RECTANGLE__Y`
`15`
`public static final int`
`ROUNDED_RECTANGLE_FEATURE_COUNT`
`19`
`public static final int`
`TEXT`
`3`
`public static final int`
`TEXT__ANGLE`
`20`
`public static final int`
`TEXT__BACKGROUND`
`1`
`public static final int`
`TEXT__FILLED`
`5`
`public static final int`
`TEXT__FONT`
`17`
`public static final int`
`TEXT__FOREGROUND`
`2`
`public static final int`
`TEXT__GRAPHICS_ALGORITHM_CHILDREN`
`9`
`public static final int`
`TEXT__HEIGHT`
`13`
`public static final int`
`TEXT__HORIZONTAL_ALIGNMENT`
`18`
`public static final int`
`TEXT__LINE_STYLE`
`4`
`public static final int`
`TEXT__LINE_VISIBLE`
`6`
`public static final int`
`TEXT__LINE_WIDTH`
`3`
`public static final int`
`TEXT__PARENT_GRAPHICS_ALGORITHM`
`10`
`public static final int`
`TEXT__PICTOGRAM_ELEMENT`
`11`
`public static final int`
`TEXT__PROPERTIES`
`0`
`public static final int`
`TEXT__RENDERING_STYLE`
`7`
`public static final int`
`TEXT__ROTATION`
`23`
`public static final int`
`TEXT__STYLE`
`16`
`public static final int`
`TEXT__STYLE_REGIONS`
`22`
`public static final int`
`TEXT__TRANSPARENCY`
`8`
`public static final int`
`TEXT__VALUE`
`21`
`public static final int`
`TEXT__VERTICAL_ALIGNMENT`
`19`
`public static final int`
`TEXT__WIDTH`
`12`
`public static final int`
`TEXT__X`
`14`
`public static final int`
`TEXT__Y`
`15`
`public static final int`
`TEXT_FEATURE_COUNT`
`24`

org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl
Modifier and Type
Constant Field
Value
`protected static final int`
`HEIGHT_EDEFAULT`
`0`
`protected static final int`
`WIDTH_EDEFAULT`
`0`
`protected static final int`
`X_EDEFAULT`
`0`
`protected static final int`
`Y_EDEFAULT`
`0`
org.eclipse.graphiti.mm.algorithms.impl.RoundedRectangleImpl
Modifier and Type
Constant Field
Value
`protected static final int`
`CORNER_HEIGHT_EDEFAULT`
`0`
`protected static final int`
`CORNER_WIDTH_EDEFAULT`
`0`

org.eclipse.graphiti.mm.algorithms.styles.LineStyle
Modifier and Type
Constant Field
Value
`public static final int`
`DASH_VALUE`
`1`
`public static final int`
`DASHDOT_VALUE`
`2`
`public static final int`
`DASHDOTDOT_VALUE`
`3`
`public static final int`
`DOT_VALUE`
`4`
`public static final int`
`SOLID_VALUE`
`0`
`public static final int`
`UNSPECIFIED_VALUE`
`5`
org.eclipse.graphiti.mm.algorithms.styles.LocationType
Modifier and Type
Constant Field
Value
`public static final int`
`LOCATION_TYPE_ABSOLUTE_END_VALUE`
`3`
`public static final int`
`LOCATION_TYPE_ABSOLUTE_START_VALUE`
`2`
`public static final int`
`LOCATION_TYPE_RELATIVE_VALUE`
`1`
org.eclipse.graphiti.mm.algorithms.styles.Orientation
Modifier and Type
Constant Field
Value
`public static final int`
`ALIGNMENT_BOTTOM_VALUE`
`4`
`public static final int`
`ALIGNMENT_CENTER_VALUE`
`0`
`public static final int`
`ALIGNMENT_LEFT_VALUE`
`1`
`public static final int`
`ALIGNMENT_MIDDLE_VALUE`
`5`
`public static final int`
`ALIGNMENT_RIGHT_VALUE`
`3`
`public static final int`
`ALIGNMENT_TOP_VALUE`
`2`
`public static final int`
`UNSPECIFIED_VALUE`
`6`
org.eclipse.graphiti.mm.algorithms.styles.StylesPackage
Modifier and Type
Constant Field
Value
`public static final int`
`ABSTRACT_STYLE`
`2`
`public static final int`
`ABSTRACT_STYLE__BACKGROUND`
`0`
`public static final int`
`ABSTRACT_STYLE__FILLED`
`4`
`public static final int`
`ABSTRACT_STYLE__FOREGROUND`
`1`
`public static final int`
`ABSTRACT_STYLE__LINE_STYLE`
`3`
`public static final int`
`ABSTRACT_STYLE__LINE_VISIBLE`
`5`
`public static final int`
`ABSTRACT_STYLE__LINE_WIDTH`
`2`
`public static final int`
`ABSTRACT_STYLE__RENDERING_STYLE`
`6`
`public static final int`
`ABSTRACT_STYLE__TRANSPARENCY`
`7`
`public static final int`
`ABSTRACT_STYLE_FEATURE_COUNT`
`8`
`public static final int`
`ADAPTED_GRADIENT_COLORED_AREAS`
`6`
`public static final int`
`ADAPTED_GRADIENT_COLORED_AREAS__ADAPTED_GRADIENT_COLORED_AREAS`
`1`
`public static final int`
`ADAPTED_GRADIENT_COLORED_AREAS__DEFINED_STYLE_ID`
`0`
`public static final int`
`ADAPTED_GRADIENT_COLORED_AREAS__GRADIENT_TYPE`
`2`
`public static final int`
`ADAPTED_GRADIENT_COLORED_AREAS_FEATURE_COUNT`
`3`
`public static final int`
`COLOR`
`9`
`public static final int`
`COLOR__BLUE`
`2`
`public static final int`
`COLOR__GREEN`
`1`
`public static final int`
`COLOR__RED`
`0`
`public static final int`
`COLOR_FEATURE_COUNT`
`3`
`public static final String`
`eNAME`
`"styles"`
`public static final String`
`eNS_PREFIX`
`"st"`
`public static final String`
`eNS_URI`
`"http://eclipse.org/graphiti/mm/algorithms/styles"`
`public static final int`
`FONT`
`7`
`public static final int`
`FONT__BOLD`
`3`
`public static final int`
`FONT__ITALIC`
`2`
`public static final int`
`FONT__NAME`
`0`
`public static final int`
`FONT__SIZE`
`1`
`public static final int`
`FONT_FEATURE_COUNT`
`4`
`public static final int`
`GRADIENT_COLORED_AREA`
`4`
`public static final int`
`GRADIENT_COLORED_AREA__END`
`1`
`public static final int`
`GRADIENT_COLORED_AREA__START`
`0`
`public static final int`
`GRADIENT_COLORED_AREA_FEATURE_COUNT`
`2`
`public static final int`
`GRADIENT_COLORED_AREAS`
`5`
`public static final int`
`GRADIENT_COLORED_AREAS__GRADIENT_COLOR`
`0`
`public static final int`
`GRADIENT_COLORED_AREAS__STYLE_ADAPTION`
`1`
`public static final int`
`GRADIENT_COLORED_AREAS_FEATURE_COUNT`
`2`
`public static final int`
`GRADIENT_COLORED_LOCATION`
`3`
`public static final int`
`GRADIENT_COLORED_LOCATION__COLOR`
`2`
`public static final int`
`GRADIENT_COLORED_LOCATION__LOCATION_TYPE`
`0`
`public static final int`
`GRADIENT_COLORED_LOCATION__LOCATION_VALUE`
`1`
`public static final int`
`GRADIENT_COLORED_LOCATION_FEATURE_COUNT`
`3`
`public static final int`
`LINE_STYLE`
`13`
`public static final int`
`LOCATION_TYPE`
`15`
`public static final int`
`ORIENTATION`
`14`
`public static final int`
`POINT`
`8`
`public static final int`
`POINT__AFTER`
`3`
`public static final int`
`POINT__BEFORE`
`2`
`public static final int`
`POINT__X`
`0`
`public static final int`
`POINT__Y`
`1`
`public static final int`
`POINT_FEATURE_COUNT`
`4`
`public static final int`
`PRECISION_POINT`
`10`
`public static final int`
`PRECISION_POINT__X`
`0`
`public static final int`
`PRECISION_POINT__Y`
`1`
`public static final int`
`PRECISION_POINT_FEATURE_COUNT`
`2`
`public static final int`
`RENDERING_STYLE`
`0`
`public static final int`
`RENDERING_STYLE__ADAPTED_GRADIENT_COLORED_AREAS`
`0`
`public static final int`
`RENDERING_STYLE_FEATURE_COUNT`
`1`
`public static final int`
`STYLE`
`1`
`public static final int`
`STYLE__ANGLE`
`14`
`public static final int`
`STYLE__BACKGROUND`
`1`
`public static final int`
`STYLE__DESCRIPTION`
`10`
`public static final int`
`STYLE__FILLED`
`5`
`public static final int`
`STYLE__FONT`
`11`
`public static final int`
`STYLE__FOREGROUND`
`2`
`public static final int`
`STYLE__HORIZONTAL_ALIGNMENT`
`12`
`public static final int`
`STYLE__ID`
`9`
`public static final int`
`STYLE__LINE_STYLE`
`4`
`public static final int`
`STYLE__LINE_VISIBLE`
`6`
`public static final int`
`STYLE__LINE_WIDTH`
`3`
`public static final int`
`STYLE__PROPORTIONAL`
`17`
`public static final int`
`STYLE__RENDERING_STYLE`
`7`
`public static final int`
`STYLE__ROTATION`
`19`
`public static final int`
`STYLE__STRETCH_H`
`15`
`public static final int`
`STYLE__STRETCH_V`
`16`
`public static final int`
`STYLE__STYLE_CONTAINER`
`18`
`public static final int`
`STYLE__STYLES`
`0`
`public static final int`
`STYLE__TRANSPARENCY`
`8`
`public static final int`
`STYLE__VERTICAL_ALIGNMENT`
`13`
`public static final int`
`STYLE_FEATURE_COUNT`
`20`
`public static final int`
`TEXT_STYLE`
`11`
`public static final int`
`TEXT_STYLE__BACKGROUND`
`5`
`public static final int`
`TEXT_STYLE__FONT`
`3`
`public static final int`
`TEXT_STYLE__FOREGROUND`
`4`
`public static final int`
`TEXT_STYLE__STRIKEOUT`
`2`
`public static final int`
`TEXT_STYLE__STRIKEOUT_COLOR`
`7`
`public static final int`
`TEXT_STYLE__UNDERLINE`
`0`
`public static final int`
`TEXT_STYLE__UNDERLINE_COLOR`
`6`
`public static final int`
`TEXT_STYLE__UNDERLINE_STYLE`
`1`
`public static final int`
`TEXT_STYLE_FEATURE_COUNT`
`8`
`public static final int`
`TEXT_STYLE_REGION`
`12`
`public static final int`
`TEXT_STYLE_REGION__END`
`1`
`public static final int`
`TEXT_STYLE_REGION__START`
`0`
`public static final int`
`TEXT_STYLE_REGION__STYLE`
`2`
`public static final int`
`TEXT_STYLE_REGION_FEATURE_COUNT`
`3`
`public static final int`
`UNDERLINE_STYLE`
`16`
org.eclipse.graphiti.mm.algorithms.styles.UnderlineStyle
Modifier and Type
Constant Field
Value
`public static final int`
`UNDERLINE_DOUBLE_VALUE`
`1`
`public static final int`
`UNDERLINE_ERROR_VALUE`
`2`
`public static final int`
`UNDERLINE_SINGLE_VALUE`
`0`
`public static final int`
`UNDERLINE_SQUIGGLE_VALUE`
`3`

org.eclipse.graphiti.mm.algorithms.styles.impl.ColorImpl
Modifier and Type
Constant Field
Value
`protected static final int`
`BLUE_EDEFAULT`
`0`
`protected static final int`
`GREEN_EDEFAULT`
`0`
`protected static final int`
`RED_EDEFAULT`
`0`
org.eclipse.graphiti.mm.algorithms.styles.impl.FontImpl
Modifier and Type
Constant Field
Value
`protected static final boolean`
`BOLD_EDEFAULT`
`false`
`protected static final boolean`
`ITALIC_EDEFAULT`
`false`
`protected static final int`
`SIZE_EDEFAULT`
`0`
org.eclipse.graphiti.mm.algorithms.styles.impl.PointImpl
Modifier and Type
Constant Field
Value
`protected static final int`
`AFTER_EDEFAULT`
`0`
`protected static final int`
`BEFORE_EDEFAULT`
`0`
`protected static final int`
`X_EDEFAULT`
`0`
`protected static final int`
`Y_EDEFAULT`
`0`
org.eclipse.graphiti.mm.algorithms.styles.impl.PrecisionPointImpl
Modifier and Type
Constant Field
Value
`protected static final double`
`X_EDEFAULT`
`0.0`
`protected static final double`
`Y_EDEFAULT`
`0.0`
org.eclipse.graphiti.mm.algorithms.styles.impl.TextStyleImpl
Modifier and Type
Constant Field
Value
`protected static final boolean`
`STRIKEOUT_EDEFAULT`
`false`
`protected static final boolean`
`UNDERLINE_EDEFAULT`
`false`
org.eclipse.graphiti.mm.algorithms.styles.impl.TextStyleRegionImpl
Modifier and Type
Constant Field
Value
`protected static final int`
`END_EDEFAULT`
`0`
`protected static final int`
`START_EDEFAULT`
`0`

org.eclipse.graphiti.mm.pictograms.PictogramsPackage
Modifier and Type
Constant Field
Value
`public static final int`
`ADVANCED_ANCHOR`
`14`
`public static final int`
`ADVANCED_ANCHOR__ACTIVE`
`3`
`public static final int`
`ADVANCED_ANCHOR__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`ADVANCED_ANCHOR__INCOMING_CONNECTIONS`
`7`
`public static final int`
`ADVANCED_ANCHOR__LINK`
`4`
`public static final int`
`ADVANCED_ANCHOR__OUTGOING_CONNECTIONS`
`6`
`public static final int`
`ADVANCED_ANCHOR__PARENT`
`5`
`public static final int`
`ADVANCED_ANCHOR__PROPERTIES`
`0`
`public static final int`
`ADVANCED_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM`
`8`
`public static final int`
`ADVANCED_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT`
`9`
`public static final int`
`ADVANCED_ANCHOR__VISIBLE`
`1`
`public static final int`
`ADVANCED_ANCHOR_FEATURE_COUNT`
`10`
`public static final int`
`ANCHOR`
`5`
`public static final int`
`ANCHOR__ACTIVE`
`3`
`public static final int`
`ANCHOR__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`ANCHOR__INCOMING_CONNECTIONS`
`7`
`public static final int`
`ANCHOR__LINK`
`4`
`public static final int`
`ANCHOR__OUTGOING_CONNECTIONS`
`6`
`public static final int`
`ANCHOR__PARENT`
`5`
`public static final int`
`ANCHOR__PROPERTIES`
`0`
`public static final int`
`ANCHOR__REFERENCED_GRAPHICS_ALGORITHM`
`8`
`public static final int`
`ANCHOR__VISIBLE`
`1`
`public static final int`
`ANCHOR_CONTAINER`
`6`
`public static final int`
`ANCHOR_CONTAINER__ACTIVE`
`3`
`public static final int`
`ANCHOR_CONTAINER__ANCHORS`
`5`
`public static final int`
`ANCHOR_CONTAINER__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`ANCHOR_CONTAINER__LINK`
`4`
`public static final int`
`ANCHOR_CONTAINER__PROPERTIES`
`0`
`public static final int`
`ANCHOR_CONTAINER__VISIBLE`
`1`
`public static final int`
`ANCHOR_CONTAINER_FEATURE_COUNT`
`6`
`public static final int`
`ANCHOR_FEATURE_COUNT`
`9`
`public static final int`
`BOX_RELATIVE_ANCHOR`
`8`
`public static final int`
`BOX_RELATIVE_ANCHOR__ACTIVE`
`3`
`public static final int`
`BOX_RELATIVE_ANCHOR__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`BOX_RELATIVE_ANCHOR__INCOMING_CONNECTIONS`
`7`
`public static final int`
`BOX_RELATIVE_ANCHOR__LINK`
`4`
`public static final int`
`BOX_RELATIVE_ANCHOR__OUTGOING_CONNECTIONS`
`6`
`public static final int`
`BOX_RELATIVE_ANCHOR__PARENT`
`5`
`public static final int`
`BOX_RELATIVE_ANCHOR__PROPERTIES`
`0`
`public static final int`
`BOX_RELATIVE_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM`
`8`
`public static final int`
`BOX_RELATIVE_ANCHOR__RELATIVE_HEIGHT`
`11`
`public static final int`
`BOX_RELATIVE_ANCHOR__RELATIVE_WIDTH`
`10`
`public static final int`
`BOX_RELATIVE_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT`
`9`
`public static final int`
`BOX_RELATIVE_ANCHOR__VISIBLE`
`1`
`public static final int`
`BOX_RELATIVE_ANCHOR_FEATURE_COUNT`
`12`
`public static final int`
`CHOPBOX_ANCHOR`
`9`
`public static final int`
`CHOPBOX_ANCHOR__ACTIVE`
`3`
`public static final int`
`CHOPBOX_ANCHOR__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`CHOPBOX_ANCHOR__INCOMING_CONNECTIONS`
`7`
`public static final int`
`CHOPBOX_ANCHOR__LINK`
`4`
`public static final int`
`CHOPBOX_ANCHOR__OUTGOING_CONNECTIONS`
`6`
`public static final int`
`CHOPBOX_ANCHOR__PARENT`
`5`
`public static final int`
`CHOPBOX_ANCHOR__PROPERTIES`
`0`
`public static final int`
`CHOPBOX_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM`
`8`
`public static final int`
`CHOPBOX_ANCHOR__VISIBLE`
`1`
`public static final int`
`CHOPBOX_ANCHOR_FEATURE_COUNT`
`9`
`public static final int`
`COMPOSITE_CONNECTION`
`16`
`public static final int`
`COMPOSITE_CONNECTION__ACTIVE`
`3`
`public static final int`
`COMPOSITE_CONNECTION__ANCHORS`
`5`
`public static final int`
`COMPOSITE_CONNECTION__CHILDREN`
`10`
`public static final int`
`COMPOSITE_CONNECTION__CONNECTION_DECORATORS`
`9`
`public static final int`
`COMPOSITE_CONNECTION__END`
`7`
`public static final int`
`COMPOSITE_CONNECTION__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`COMPOSITE_CONNECTION__LINK`
`4`
`public static final int`
`COMPOSITE_CONNECTION__PARENT`
`8`
`public static final int`
`COMPOSITE_CONNECTION__PROPERTIES`
`0`
`public static final int`
`COMPOSITE_CONNECTION__START`
`6`
`public static final int`
`COMPOSITE_CONNECTION__VISIBLE`
`1`
`public static final int`
`COMPOSITE_CONNECTION_FEATURE_COUNT`
`11`
`public static final int`
`CONNECTION`
`4`
`public static final int`
`CONNECTION__ACTIVE`
`3`
`public static final int`
`CONNECTION__ANCHORS`
`5`
`public static final int`
`CONNECTION__CONNECTION_DECORATORS`
`9`
`public static final int`
`CONNECTION__END`
`7`
`public static final int`
`CONNECTION__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`CONNECTION__LINK`
`4`
`public static final int`
`CONNECTION__PARENT`
`8`
`public static final int`
`CONNECTION__PROPERTIES`
`0`
`public static final int`
`CONNECTION__START`
`6`
`public static final int`
`CONNECTION__VISIBLE`
`1`
`public static final int`
`CONNECTION_DECORATOR`
`10`
`public static final int`
`CONNECTION_DECORATOR__ACTIVE`
`3`
`public static final int`
`CONNECTION_DECORATOR__ANCHORS`
`5`
`public static final int`
`CONNECTION_DECORATOR__CONNECTION`
`9`
`public static final int`
`CONNECTION_DECORATOR__CONTAINER`
`6`
`public static final int`
`CONNECTION_DECORATOR__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`CONNECTION_DECORATOR__LINK`
`4`
`public static final int`
`CONNECTION_DECORATOR__LOCATION`
`8`
`public static final int`
`CONNECTION_DECORATOR__LOCATION_RELATIVE`
`7`
`public static final int`
`CONNECTION_DECORATOR__PROPERTIES`
`0`
`public static final int`
`CONNECTION_DECORATOR__VISIBLE`
`1`
`public static final int`
`CONNECTION_DECORATOR_FEATURE_COUNT`
`10`
`public static final int`
`CONNECTION_FEATURE_COUNT`
`10`
`public static final int`
`CONTAINER_SHAPE`
`1`
`public static final int`
`CONTAINER_SHAPE__ACTIVE`
`3`
`public static final int`
`CONTAINER_SHAPE__ANCHORS`
`5`
`public static final int`
`CONTAINER_SHAPE__CHILDREN`
`7`
`public static final int`
`CONTAINER_SHAPE__CONTAINER`
`6`
`public static final int`
`CONTAINER_SHAPE__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`CONTAINER_SHAPE__LINK`
`4`
`public static final int`
`CONTAINER_SHAPE__PROPERTIES`
`0`
`public static final int`
`CONTAINER_SHAPE__VISIBLE`
`1`
`public static final int`
`CONTAINER_SHAPE_FEATURE_COUNT`
`8`
`public static final int`
`CURVED_CONNECTION`
`15`
`public static final int`
`CURVED_CONNECTION__ACTIVE`
`3`
`public static final int`
`CURVED_CONNECTION__ANCHORS`
`5`
`public static final int`
`CURVED_CONNECTION__CONNECTION_DECORATORS`
`9`
`public static final int`
`CURVED_CONNECTION__CONTROL_POINTS`
`10`
`public static final int`
`CURVED_CONNECTION__END`
`7`
`public static final int`
`CURVED_CONNECTION__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`CURVED_CONNECTION__LINK`
`4`
`public static final int`
`CURVED_CONNECTION__PARENT`
`8`
`public static final int`
`CURVED_CONNECTION__PROPERTIES`
`0`
`public static final int`
`CURVED_CONNECTION__START`
`6`
`public static final int`
`CURVED_CONNECTION__VISIBLE`
`1`
`public static final int`
`CURVED_CONNECTION_FEATURE_COUNT`
`11`
`public static final int`
`DIAGRAM`
`2`
`public static final int`
`DIAGRAM__ACTIVE`
`3`
`public static final int`
`DIAGRAM__ANCHORS`
`5`
`public static final int`
`DIAGRAM__CHILDREN`
`7`
`public static final int`
`DIAGRAM__COLORS`
`15`
`public static final int`
`DIAGRAM__CONNECTIONS`
`11`
`public static final int`
`DIAGRAM__CONTAINER`
`6`
`public static final int`
`DIAGRAM__DIAGRAM_TYPE_ID`
`10`
`public static final int`
`DIAGRAM__FONTS`
`16`
`public static final int`
`DIAGRAM__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`DIAGRAM__GRID_UNIT`
`9`
`public static final int`
`DIAGRAM__LINK`
`4`
`public static final int`
`DIAGRAM__NAME`
`12`
`public static final int`
`DIAGRAM__PICTOGRAM_LINKS`
`17`
`public static final int`
`DIAGRAM__PROPERTIES`
`0`
`public static final int`
`DIAGRAM__SHOW_GUIDES`
`14`
`public static final int`
`DIAGRAM__SNAP_TO_GRID`
`13`
`public static final int`
`DIAGRAM__STYLES`
`8`
`public static final int`
`DIAGRAM__VERSION`
`19`
`public static final int`
`DIAGRAM__VERTICAL_GRID_UNIT`
`18`
`public static final int`
`DIAGRAM__VISIBLE`
`1`
`public static final int`
`DIAGRAM_FEATURE_COUNT`
`20`
`public static final String`
`eNAME`
`"pictograms"`
`public static final String`
`eNS_PREFIX`
`"pi"`
`public static final String`
`eNS_URI`
`"http://eclipse.org/graphiti/mm/pictograms"`
`public static final int`
`FIX_POINT_ANCHOR`
`7`
`public static final int`
`FIX_POINT_ANCHOR__ACTIVE`
`3`
`public static final int`
`FIX_POINT_ANCHOR__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`FIX_POINT_ANCHOR__INCOMING_CONNECTIONS`
`7`
`public static final int`
`FIX_POINT_ANCHOR__LINK`
`4`
`public static final int`
`FIX_POINT_ANCHOR__LOCATION`
`10`
`public static final int`
`FIX_POINT_ANCHOR__OUTGOING_CONNECTIONS`
`6`
`public static final int`
`FIX_POINT_ANCHOR__PARENT`
`5`
`public static final int`
`FIX_POINT_ANCHOR__PROPERTIES`
`0`
`public static final int`
`FIX_POINT_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM`
`8`
`public static final int`
`FIX_POINT_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT`
`9`
`public static final int`
`FIX_POINT_ANCHOR__VISIBLE`
`1`
`public static final int`
`FIX_POINT_ANCHOR_FEATURE_COUNT`
`11`
`public static final int`
`FREE_FORM_CONNECTION`
`11`
`public static final int`
`FREE_FORM_CONNECTION__ACTIVE`
`3`
`public static final int`
`FREE_FORM_CONNECTION__ANCHORS`
`5`
`public static final int`
`FREE_FORM_CONNECTION__BENDPOINTS`
`10`
`public static final int`
`FREE_FORM_CONNECTION__CONNECTION_DECORATORS`
`9`
`public static final int`
`FREE_FORM_CONNECTION__END`
`7`
`public static final int`
`FREE_FORM_CONNECTION__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`FREE_FORM_CONNECTION__LINK`
`4`
`public static final int`
`FREE_FORM_CONNECTION__PARENT`
`8`
`public static final int`
`FREE_FORM_CONNECTION__PROPERTIES`
`0`
`public static final int`
`FREE_FORM_CONNECTION__START`
`6`
`public static final int`
`FREE_FORM_CONNECTION__VISIBLE`
`1`
`public static final int`
`FREE_FORM_CONNECTION_FEATURE_COUNT`
`11`
`public static final int`
`MANHATTAN_CONNECTION`
`12`
`public static final int`
`MANHATTAN_CONNECTION__ACTIVE`
`3`
`public static final int`
`MANHATTAN_CONNECTION__ANCHORS`
`5`
`public static final int`
`MANHATTAN_CONNECTION__CONNECTION_DECORATORS`
`9`
`public static final int`
`MANHATTAN_CONNECTION__END`
`7`
`public static final int`
`MANHATTAN_CONNECTION__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`MANHATTAN_CONNECTION__LINK`
`4`
`public static final int`
`MANHATTAN_CONNECTION__PARENT`
`8`
`public static final int`
`MANHATTAN_CONNECTION__PROPERTIES`
`0`
`public static final int`
`MANHATTAN_CONNECTION__START`
`6`
`public static final int`
`MANHATTAN_CONNECTION__VISIBLE`
`1`
`public static final int`
`MANHATTAN_CONNECTION_FEATURE_COUNT`
`10`
`public static final int`
`PICTOGRAM_ELEMENT`
`3`
`public static final int`
`PICTOGRAM_ELEMENT__ACTIVE`
`3`
`public static final int`
`PICTOGRAM_ELEMENT__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`PICTOGRAM_ELEMENT__LINK`
`4`
`public static final int`
`PICTOGRAM_ELEMENT__PROPERTIES`
`0`
`public static final int`
`PICTOGRAM_ELEMENT__VISIBLE`
`1`
`public static final int`
`PICTOGRAM_ELEMENT_FEATURE_COUNT`
`5`
`public static final int`
`PICTOGRAM_LINK`
`13`
`public static final int`
`PICTOGRAM_LINK__BUSINESS_OBJECTS`
`2`
`public static final int`
`PICTOGRAM_LINK__PICTOGRAM_ELEMENT`
`1`
`public static final int`
`PICTOGRAM_LINK__PROPERTIES`
`0`
`public static final int`
`PICTOGRAM_LINK_FEATURE_COUNT`
`3`
`public static final int`
`SHAPE`
`0`
`public static final int`
`SHAPE__ACTIVE`
`3`
`public static final int`
`SHAPE__ANCHORS`
`5`
`public static final int`
`SHAPE__CONTAINER`
`6`
`public static final int`
`SHAPE__GRAPHICS_ALGORITHM`
`2`
`public static final int`
`SHAPE__LINK`
`4`
`public static final int`
`SHAPE__PROPERTIES`
`0`
`public static final int`
`SHAPE__VISIBLE`
`1`
`public static final int`
`SHAPE_FEATURE_COUNT`
`7`

org.eclipse.graphiti.mm.pictograms.impl.AdvancedAnchorImpl
Modifier and Type
Constant Field
Value
`protected static final boolean`
`USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT_EDEFAULT`
`false`
org.eclipse.graphiti.mm.pictograms.impl.BoxRelativeAnchorImpl
Modifier and Type
Constant Field
Value
`protected static final double`
`RELATIVE_HEIGHT_EDEFAULT`
`0.0`
`protected static final double`
`RELATIVE_WIDTH_EDEFAULT`
`0.0`
org.eclipse.graphiti.mm.pictograms.impl.ConnectionDecoratorImpl
Modifier and Type
Constant Field
Value
`protected static final double`
`LOCATION_EDEFAULT`
`0.0`
`protected static final boolean`
`LOCATION_RELATIVE_EDEFAULT`
`false`
org.eclipse.graphiti.mm.pictograms.impl.DiagramImpl
Modifier and Type
Constant Field
Value
`protected static final int`
`GRID_UNIT_EDEFAULT`
`0`
`protected static final boolean`
`SHOW_GUIDES_EDEFAULT`
`false`
`protected static final boolean`
`SNAP_TO_GRID_EDEFAULT`
`false`
`protected static final String`
`VERSION_EDEFAULT`
`""`
`protected static final int`
`VERTICAL_GRID_UNIT_EDEFAULT`
`-1`
org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl
Modifier and Type
Constant Field
Value
`protected static final boolean`
`ACTIVE_EDEFAULT`
`false`
`protected static final boolean`
`VISIBLE_EDEFAULT`
`false`

org.eclipse.graphiti.pattern.TypedPattern
Modifier and Type
Constant Field
Value
`protected static final String`
`PROPERTY_KEY_PATTERN_TYPE`
`"org.eclipse.graphiti.pattern.patternType"`

org.eclipse.graphiti.pattern.id.IdPattern
Modifier and Type
Constant Field
Value
`protected static final String`
`PROPERTY_KEY_ID`
`"org.eclipse.graphiti.pattern.id.id"`
`protected static final String`
`PROPERTY_KEY_INDEX`
`"org.eclipse.graphiti.pattern.id.index"`
`protected static final String`
`PROPERTY_VALUE_PATTERN_TYPE_ID`
`"org.eclipse.graphiti.pattern.idpattern"`

org.eclipse.graphiti.platform.IPlatformImageConstants
Modifier and Type
Constant Field
Value
`public static final String`
`IMG_DIAGRAM`
`"org.eclipse.graphiti.diagram"`
`public static final String`
`IMG_ECLIPSE_ERROR`
`"org.eclipse.graphiti.eclipse.error"`
`public static final String`
`IMG_ECLIPSE_ERROR_TSK`
`"org.eclipse.graphiti.eclipse.error.tsk"`
`public static final String`
`IMG_ECLIPSE_INFORMATION`
`"org.eclipse.graphiti.eclipse.information"`
`public static final String`
`IMG_ECLIPSE_INFORMATION_TSK`
`"org.eclipse.graphiti.eclipse.information.tsk"`
`public static final String`
`IMG_ECLIPSE_QUICKASSIST`
`"org.eclipse.graphiti.eclipse.quickassist"`
`public static final String`
`IMG_ECLIPSE_WARNING`
`"org.eclipse.graphiti.eclipse.warning"`
`public static final String`
`IMG_ECLIPSE_WARNING_TSK`
`"org.eclipse.graphiti.eclipse.warning.tsk"`
`public static final String`
`IMG_EDIT_COLLAPSE`
`"org.eclipse.graphiti.edit.collapse"`
`public static final String`
`IMG_EDIT_COLLAPSEALL`
`"org.eclipse.graphiti.edit.collapseall"`
`public static final String`
`IMG_EDIT_DELETE`
`"org.eclipse.graphiti.edit.delete"`
`public static final String`
`IMG_EDIT_EXPAND`
`"org.eclipse.graphiti.edit.expand"`
`public static final String`
`IMG_EDIT_EXPANDALL`
`"org.eclipse.graphiti.edit.expandall"`
`public static final String`
`IMG_EDIT_REFRESH`
`"org.eclipse.graphiti.edit.refresh"`
`public static final String`
`IMG_EDIT_REMOVE`
`"org.eclipse.graphiti.edit.remove"`
`public static final String`
`IMG_MISSING`
`"org.eclipse.graphiti.missing"`
`public static final String`
`IMG_TOGGLE_PAD`
`"org.eclipse.graphiti.toggle.context.pad"`
`public static final String`
`PRE`
`"org.eclipse.graphiti."`

org.eclipse.graphiti.platform.ga.IVisualState
Modifier and Type
Constant Field
Value
`public static final int`
`ACTION_TARGET_ALLOWED`
`1`
`public static final int`
`ACTION_TARGET_FEEDBACK_OFF`
`0`
`public static final int`
`ACTION_TARGET_FORBIDDEN`
`2`
`public static final int`
`HOVER_OFF`
`1`
`public static final int`
`HOVER_ON`
`0`
`public static final int`
`SELECTION_FEEDBACK_OFF`
`0`
`public static final int`
`SELECTION_PRIMARY`
`1`
`public static final int`
`SELECTION_SECONDARY`
`2`

org.eclipse.graphiti.services.IGaService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_FONT`
`"Arial"`
`public static final int`
`DEFAULT_FONT_SIZE`
`8`

org.eclipse.graphiti.tb.DefaultToolBehaviorProvider
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_LINE_SELECTION_WIDTH`
`5`

org.eclipse.graphiti.ui.editor.DefaultPaletteBehavior
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_PALETTE_SIZE`
`130`
`protected static final String`
`PROPERTY_PALETTE_DOCK_LOCATION`
`"Dock location"`
`protected static final String`
`PROPERTY_PALETTE_SIZE`
`"Palette Size"`
`protected static final String`
`PROPERTY_PALETTE_STATE`
`"Palette state"`
org.eclipse.graphiti.ui.editor.DiagramEditor
Modifier and Type
Constant Field
Value
`public static final String`
`DIAGRAM_EDITOR_ID`
`"org.eclipse.graphiti.ui.editor.DiagramEditor"`
org.eclipse.graphiti.ui.editor.DiagramEditorActionBarContributor
Modifier and Type
Constant Field
Value
`public static final String`
`MENU_ID_VIEW`
`"org.eclipse.graphiti.menu.view"`
org.eclipse.graphiti.ui.editor.DiagramEditorInput
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_URI`
`"org.eclipse.graphiti.uri"`
org.eclipse.graphiti.ui.editor.IDiagramContainerUI
Modifier and Type
Constant Field
Value
`public static final String`
`DIAGRAM_CONTEXT_ID`
`"org.eclipse.graphiti.ui.diagramEditor"`

org.eclipse.graphiti.ui.internal.GraphitiUIPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.graphiti.ui"`

org.eclipse.graphiti.ui.internal.action.FeatureExecutionHandler
Modifier and Type
Constant Field
Value
`public static final String`
`COMMAND_ID`
`"org.eclipse.graphiti.ui.featureExecutionCommand"`
org.eclipse.graphiti.ui.internal.action.RemoveAction
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_DEFINITION_ID`
`"org.eclipse.graphiti.ui.internal.action.RemoveAction"`
`public static final String`
`ACTION_ID`
`"predefined remove action"`
org.eclipse.graphiti.ui.internal.action.SaveImageAction
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_DEFINITION_ID`
`"org.eclipse.graphiti.ui.internal.action.SaveImageAction"`
`public static final String`
`ACTION_ID`
`"export_diagram_action"`
org.eclipse.graphiti.ui.internal.action.ToggleContextButtonPadAction
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_ID`
`"toggle_context_button_pad"`
org.eclipse.graphiti.ui.internal.action.UpdateAction
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_DEFINITION_ID`
`"org.eclipse.graphiti.ui.internal.action.UpdateAction"`
`public static final String`
`ACTION_ID`
`"predefined update action"`

org.eclipse.graphiti.ui.internal.contextbuttons.ContextButtonManagerForPad
Modifier and Type
Constant Field
Value
`protected static final double`
`MINIMUM_ZOOM_LEVEL`
`0.75`

org.eclipse.graphiti.ui.internal.editor.ThumbNailView
Modifier and Type
Constant Field
Value
`public static final String`
`VIEW_ID`
`"org.eclipse.graphiti.ui.internal.editor.thumbnailview"`

org.eclipse.graphiti.ui.internal.feature.DebugFeature
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_DUMP_ALL`
`3`
`public static final int`
`TYPE_DUMP_EDIT_PART_DATA`
`2`
`public static final int`
`TYPE_DUMP_FIGURE_DATA`
`1`
`public static final int`
`TYPE_DUMP_FIGURE_INCL_CONNECTION_DATA`
`5`
`public static final int`
`TYPE_DUMP_PICTOGRAM_DATA`
`0`
`public static final int`
`TYPE_REFRESH`
`4`

org.eclipse.graphiti.ui.internal.services.impl.GefService
Modifier and Type
Constant Field
Value
`protected static final String`
`PE`
`"*PE* "`

org.eclipse.graphiti.ui.internal.util.ui.DoubleField
Modifier and Type
Constant Field
Value
`public static final String`
`decimalNumberFormat`
`"###0.00"`
org.eclipse.graphiti.ui.internal.util.ui.DoubleFieldWithDropDown
Modifier and Type
Constant Field
Value
`public static final String`
`decimalNumberFormat`
`"###0.00"`

org.eclipse.graphiti.ui.internal.util.ui.print.DefaultPrintPreferences
Modifier and Type
Constant Field
Value
`public static final int`
`CENTER`
`0`
`public static final int`
`CURRENT_SCALE`
`5`
`public static final double`
`CURRENT_SCALE_DEFAULT`
`1.0`
`public static final int`
`HEIGHT`
`11`
`public static final double`
`HEIGHT_DEFAULT`
`10.0`
`public static final int`
`LEFT_MARGIN`
`2`
`public static final double`
`LEFT_MARGIN_DEFAULT`
`0.0`
`public static final int`
`PRINTER_IMAGE_HEIGHT`
`7`
`public static final double`
`PRINTER_IMAGE_HEIGHT_DEFAULT`
`500.0`
`public static final int`
`PRINTER_IMAGE_WIDTH`
`6`
`public static final double`
`PRINTER_IMAGE_WIDTH_DEFAULT`
`500.0`
`public static final int`
`PRINTER_LEFT_MARGIN`
`8`
`public static final double`
`PRINTER_LEFT_MARGIN_DEFAULT`
`0.0`
`public static final int`
`PRINTER_TOP_MARGIN`
`9`
`public static final double`
`PRINTER_TOP_MARGIN_DEFAULT`
`0.0`
`public static final int`
`SCALE_FACTOR`
`4`
`public static final double`
`SCALE_FACTOR_DEFAULT`
`1.0`
`public static final int`
`SCALE_FACTOR_X`
`0`
`public static final int`
`SCALE_FACTOR_Y`
`1`
`public static final int`
`TOP_MARGIN`
`3`
`public static final double`
`TOP_MARGIN_DEFAULT`
`0.0`
`public static final int`
`WIDTH`
`10`
`public static final double`
`WIDTH_DEFAULT`
`10.0`
org.eclipse.graphiti.ui.internal.util.ui.print.PrintFigureDialog
Modifier and Type
Constant Field
Value
`public static final String`
`decimalNumberFormat`
`"###0.00"`

org.eclipse.graphiti.ui.platform.PlatformImageProvider
Modifier and Type
Constant Field
Value
`public static final String`
`ID`
`"org.eclipse.graphiti.ui.platform.PlatformImageProvider"`

org.eclipse.graphiti.ui.print.IPrintConfiguration
Modifier and Type
Constant Field
Value
`public static final int`
`OK`
`0`

org.eclipse.graphiti.ui.saveasimage.ISaveAsImageConfiguration
Modifier and Type
Constant Field
Value
`public static final int`
`OK`
`0`

org.eclipse.graphiti.util.IPredefinedRenderingStyle
Modifier and Type
Constant Field
Value
`public static final String`
`BLUE_WHITE_GLOSS_ID`
`"blue-white-gloss"`
`public static final String`
`BLUE_WHITE_ID`
`"blue-white"`
`public static final String`
`COPPER_WHITE_GLOSS_ID`
`"copper-white-gloss"`
`public static final String`
`LIGHT_GRAY_ID`
`"light-gray"`
`public static final String`
`LIGHT_YELLOW_ID`
`"light-yellow"`
`public static final String`
`SILVER_WHITE_GLOSS_ID`
`"silver-white-gloss"`
`public static final int`
`STYLE_ADAPTATION_ACTION_ALLOWED`
`3`
`public static final int`
`STYLE_ADAPTATION_ACTION_FORBIDDEN`
`4`
`public static final int`
`STYLE_ADAPTATION_DEFAULT`
`0`
`public static final int`
`STYLE_ADAPTATION_PRIMARY_SELECTED`
`1`
`public static final int`
`STYLE_ADAPTATION_SECONDARY_SELECTED`
`2`